## NAME

r.surf.random - Produces a raster map of uniform random deviates whose range can be expressed by the user.

## KEYWORDS

raster, random

## SYNOPSIS

r.surf.random
r.surf.random help
r.surf.random [-i] output=name [min=integer] [max=integer] [--overwrite] [--verbose] [--quiet]

### Flags:

-i
  Create an integer raster map
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

output=name
  Name for output raster map
min=integer
  Minimum random value
  Default: 0
max=integer
  Maximum random value
  Default: 100

## DESCRIPTION

r.surf.random produces a raster map layer of uniform random deviates whose range can be expressed by the user. It is essentialy the same as r.surf.gauss, but uses a linear random number generator instead. It uses the random number generator drand48() or rand(), depending on the user's platform.

Histogram of map generated with r.surf.random

## SEE ALSO

r.surf.contour, r.surf.fractal, r.surf.gauss, r.surf.idw, r.surf.idw2, v.surf.rst

## AUTHOR

Jo Wood
Midlands Regional Research Laboratory (ASSIST)
University of Leicester
October 1991

Last changed: $Date: 2008-06-01 12:01:53 +0200 (ne, 01 VI 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team